com.amazonaws.services.codedeploy.model

## Class CreateDeploymentConfigRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codedeploy.model.CreateDeploymentConfigRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class CreateDeploymentConfigRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of a create deployment configuration operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`CreateDeploymentConfigRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateDeploymentConfigRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getDeploymentConfigName()` The name of the deployment configuration to create.
`MinimumHealthyHosts` `getMinimumHealthyHosts()` The minimum number of healthy instances that should be available at any time during the deployment.
`int` `hashCode()`
`void` `setDeploymentConfigName(String deploymentConfigName)` The name of the deployment configuration to create.
`void` `setMinimumHealthyHosts(MinimumHealthyHosts minimumHealthyHosts)` The minimum number of healthy instances that should be available at any time during the deployment.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateDeploymentConfigRequest` `withDeploymentConfigName(String deploymentConfigName)` The name of the deployment configuration to create.
`CreateDeploymentConfigRequest` `withMinimumHealthyHosts(MinimumHealthyHosts minimumHealthyHosts)` The minimum number of healthy instances that should be available at any time during the deployment.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateDeploymentConfigRequest

    public CreateDeploymentConfigRequest()

### Method Detail

#### setDeploymentConfigName

    public void setDeploymentConfigName(String deploymentConfigName)

The name of the deployment configuration to create.

Parameters:
  `deploymentConfigName` - The name of the deployment configuration to create.

#### getDeploymentConfigName

    public String getDeploymentConfigName()

The name of the deployment configuration to create.

Returns:
  The name of the deployment configuration to create.

#### withDeploymentConfigName

    public CreateDeploymentConfigRequest withDeploymentConfigName(String deploymentConfigName)

The name of the deployment configuration to create.

Parameters:
  `deploymentConfigName` - The name of the deployment configuration to create.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMinimumHealthyHosts

    public void setMinimumHealthyHosts(MinimumHealthyHosts minimumHealthyHosts)

The minimum number of healthy instances that should be available at any time during the deployment. There are two parameters expected in the input: type and value.

The type parameter takes either of the following values:

- HOST_COUNT: The value parameter represents the minimum number of healthy instances as an absolute value.

- FLEET_PERCENT: The value parameter represents the minimum number of healthy instances as a percentage of the total number of instances in the deployment. If you specify FLEET_PERCENT, at the start of the deployment, AWS CodeDeploy converts the percentage to the equivalent number of instance and rounds up fractional instances.

The value parameter takes an integer.

For example, to set a minimum of 95% healthy instance, specify a type of FLEET_PERCENT and a value of 95.

Parameters:
  `minimumHealthyHosts` - The minimum number of healthy instances that should be available at any time during the deployment. There are two parameters expected in the input: type and value.

  The type parameter takes either of the following values:

  - HOST_COUNT: The value parameter represents the minimum number of healthy instances as an absolute value.

  - FLEET_PERCENT: The value parameter represents the minimum number of healthy instances as a percentage of the total number of instances in the deployment. If you specify FLEET_PERCENT, at the start of the deployment, AWS CodeDeploy converts the percentage to the equivalent number of instance and rounds up fractional instances.

  The value parameter takes an integer.

  For example, to set a minimum of 95% healthy instance, specify a type of FLEET_PERCENT and a value of 95.

#### getMinimumHealthyHosts

    public MinimumHealthyHosts getMinimumHealthyHosts()

The minimum number of healthy instances that should be available at any time during the deployment. There are two parameters expected in the input: type and value.

The type parameter takes either of the following values:

- HOST_COUNT: The value parameter represents the minimum number of healthy instances as an absolute value.

- FLEET_PERCENT: The value parameter represents the minimum number of healthy instances as a percentage of the total number of instances in the deployment. If you specify FLEET_PERCENT, at the start of the deployment, AWS CodeDeploy converts the percentage to the equivalent number of instance and rounds up fractional instances.

The value parameter takes an integer.

For example, to set a minimum of 95% healthy instance, specify a type of FLEET_PERCENT and a value of 95.

Returns:
  The minimum number of healthy instances that should be available at any time during the deployment. There are two parameters expected in the input: type and value.

  The type parameter takes either of the following values:

  - HOST_COUNT: The value parameter represents the minimum number of healthy instances as an absolute value.

  - FLEET_PERCENT: The value parameter represents the minimum number of healthy instances as a percentage of the total number of instances in the deployment. If you specify FLEET_PERCENT, at the start of the deployment, AWS CodeDeploy converts the percentage to the equivalent number of instance and rounds up fractional instances.

  The value parameter takes an integer.

  For example, to set a minimum of 95% healthy instance, specify a type of FLEET_PERCENT and a value of 95.

#### withMinimumHealthyHosts

    public CreateDeploymentConfigRequest withMinimumHealthyHosts(MinimumHealthyHosts minimumHealthyHosts)

The minimum number of healthy instances that should be available at any time during the deployment. There are two parameters expected in the input: type and value.

The type parameter takes either of the following values:

- HOST_COUNT: The value parameter represents the minimum number of healthy instances as an absolute value.

- FLEET_PERCENT: The value parameter represents the minimum number of healthy instances as a percentage of the total number of instances in the deployment. If you specify FLEET_PERCENT, at the start of the deployment, AWS CodeDeploy converts the percentage to the equivalent number of instance and rounds up fractional instances.

The value parameter takes an integer.

For example, to set a minimum of 95% healthy instance, specify a type of FLEET_PERCENT and a value of 95.

Parameters:
  `minimumHealthyHosts` - The minimum number of healthy instances that should be available at any time during the deployment. There are two parameters expected in the input: type and value.

  The type parameter takes either of the following values:

  - HOST_COUNT: The value parameter represents the minimum number of healthy instances as an absolute value.

  - FLEET_PERCENT: The value parameter represents the minimum number of healthy instances as a percentage of the total number of instances in the deployment. If you specify FLEET_PERCENT, at the start of the deployment, AWS CodeDeploy converts the percentage to the equivalent number of instance and rounds up fractional instances.

  The value parameter takes an integer.

  For example, to set a minimum of 95% healthy instance, specify a type of FLEET_PERCENT and a value of 95.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateDeploymentConfigRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`